source: mod_gnutls/configure.ac @ 140d237

debian/masterdebian/stretch-backportsjessie-backportsupstream
Last change on this file since 140d237 was fa45dcb, checked in by Daniel Kahn Gillmor <dkg@…>, 6 years ago

MSVA: ./configure now supports --enable-msva

  • Property mode set to 100644
File size: 2.3 KB
RevLine 
[7bebb42]1dnl
[09bce31]2AC_INIT(mod_gnutls, 0.5.10)
[9706fc2]3OOO_CONFIG_NICE(config.nice)
[42307a9]4MOD_GNUTLS_VERSION=AC_PACKAGE_VERSION
[6e0bfd6]5AC_PREREQ(2.53)
[9706fc2]6AC_CONFIG_SRCDIR([src/mod_gnutls.c])
[6e0bfd6]7AC_CONFIG_AUX_DIR(config)
[7bebb42]8
[5a6446d]9OOO_MAINTAIN_MODE
[9706fc2]10AM_MAINTAINER_MODE
11AC_CANONICAL_TARGET
[6e0bfd6]12AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
13AM_CONFIG_HEADER(include/mod_gnutls_config.h:config.in)
[9706fc2]14
[42307a9]15AC_SUBST(MOD_GNUTLS_VERSION)
[9706fc2]16
17AC_PROG_CC
18AC_PROG_LD
19AC_PROG_INSTALL
[7bebb42]20AC_PROG_LIBTOOL
[9706fc2]21
[4aec9a1]22AC_CONFIG_MACRO_DIR([m4])
23
[9706fc2]24AP_VERSION=2.0.40
25CHECK_APACHE(,$AP_VERSION,
26    :,:,
27    AC_MSG_ERROR([*** Apache version $AP_VERSION not found!])
28)
29
[84e07cc]30PKG_CHECK_MODULES(LIBGNUTLS, [gnutls >= 2.12.6])
[cac3a7f]31
32LIBGNUTLS_VERSION=`pkg-config --modversion gnutls`
[16068f4]33
[787dab7]34AC_ARG_ENABLE(srp,
35       AS_HELP_STRING([--disable-srp],
36               [unconditionally disable the SRP functionality]),
37       use_srp=$enableval, use_srp=yes)
[b072204]38
39SRP_CFLAGS=""
[787dab7]40if test "$use_srp" != "no"; then
[b072204]41        SRP_CFLAGS="-DENABLE_SRP=1"
[787dab7]42fi
[c70c6d7]43
[787dab7]44AC_MSG_CHECKING([whether to enable SRP functionality])
45AC_MSG_RESULT($use_srp)
46
[fa45dcb]47AC_ARG_ENABLE(msva,
48       AS_HELP_STRING([--enable-msva],
49               [enable Monkeysphere client certificate verification]),
50       use_msva=$enableval, use_msva=no)
51
52MSVA_CFLAGS=""
53if test "$use_msva" != "no"; then
54        AC_CHECK_HEADERS([msv/msv.h], [],
55                         [AC_MSG_ERROR([*** No libmsv headers found!])])
56        AC_SEARCH_LIBS([msv_query_agent], [msv], [],
57                         [AC_MSG_ERROR([*** No libmsv found with msv_query_agent!])])
58        MSVA_CFLAGS="-DENABLE_MSVA=1"
59fi
60
61AC_MSG_CHECKING([whether to enable MSVA functionality])
62AC_MSG_RESULT($use_msva)
63
[6e0bfd6]64have_apr_memcache=0
65CHECK_APR_MEMCACHE([have_apr_memcache=1], [have_apr_memcache=0])
66AC_SUBST(have_apr_memcache)
[ed47098]67
[fa45dcb]68MODULE_CFLAGS="${LIBGNUTLS_CFLAGS} ${SRP_CFLAGS} ${MSVA_CFLAGS} ${APR_MEMCACHE_CFLAGS} ${APXS_CFLAGS} ${AP_INCLUDES} ${APR_INCLUDES} ${APU_INCLUDES}"
[5021874]69MODULE_LIBS="${APR_MEMCACHE_LIBS} ${LIBGNUTLS_LIBS}"
[9706fc2]70
71AC_SUBST(MODULE_CFLAGS)
[16068f4]72AC_SUBST(MODULE_LIBS)
[9706fc2]73
[3b83e00]74AC_CONFIG_FILES([Makefile src/Makefile include/mod_gnutls.h])
[9706fc2]75AC_OUTPUT
76
77echo "---"
[42307a9]78echo "Configuration summary for mod_gnutls:"
[9706fc2]79echo ""
[ea14e97]80echo "   * mod_gnutls version:  ${MOD_GNUTLS_VERSION}"
[16068f4]81echo "   * Apache Modules directory:    ${AP_LIBEXECDIR}"
[42307a9]82echo "   * GnuTLS Library version:      ${LIBGNUTLS_VERSION}"
[b072204]83echo "   * SRP Authentication:          ${use_srp}"
[fa45dcb]84echo "   * MSVA Client Verification:    ${use_msva}"
[9706fc2]85echo ""
86echo "---"
Note: See TracBrowser for help on using the repository browser.